domains

PUT /v1/domains/{domainId}/email-routing/catch-all

Set what happens to mail matching no other rule.

Tutti gli endpoint domains

Autenticazione

Invia una chiave API come token di tipo bearer. La chiave deve disporre dell'autorizzazione domains.dns.manage; una chiave sprovvista di tale autorizzazione viene rifiutata con 403 anziché 404.

Questo endpoint non richiede alcun ID organizzazione. La tua chiave identifica già l'organizzazione a cui appartiene e la risposta è limitata ad essa.

Provalo

Sostituisci qualsiasi elemento tra parentesi angolari con i tuoi valori e il segnaposto key con una chiave dalla tua dashboard.

curl -X PUT https://api.zinndigital.com/v1/domains/{domainId}/email-routing/catch-all \
  -H "Authorization: Bearer zdk_live_…" \
  -H "Content-Type: application/json" \
  -d '{ "destinations": <string[]> }'

Hai effettuato l'accesso? La console API nella tua dashboard inserisce il tuo ID organizzazione reale e la tua chiave personale, ed esegue la richiesta sull'API live in modo da poter vedere la risposta effettiva. Apri questo endpoint nella console API

Dettagli

The catch-all is a separate resource at the provider and cannot be deleted, only set to `drop`. Requires `domains.dns.manage`.

Parametri

NomeTipoObbligatorioChe cos'è
domainId (path)UuidThe domain's id.

Corpo della richiesta

NomeTipoObbligatorioChe cos'è
destinationsstring[]
actionEmailRoutingActionNo`drop` is a chosen behaviour — it is how a catch-all silently discards spam — and is never inferred from an empty destination list.
enabledbooleanNo

Risposta

NomeTipoObbligatorioChe cos'è
rule_idstring
matcherstringThe address this rule applies to. Empty for the catch-all.
destinationsstring[]
actionEmailRoutingAction`drop` is a chosen behaviour — it is how a catch-all silently discards spam — and is never inferred from an empty destination list.
namestring
enabledboolean
catch_allboolean
unsupportedboolean`true` when the provider's rule uses a shape this API cannot express — a Worker target, say. Such a rule is shown read-only rather than hidden: hiding it would make this screen…

Errori che questo endpoint può restituire

401 · 403 · 404 · 422 · 429 · 503